OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
PointSampler Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for PointSampler:

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the nearest neighbor to inCoord and store the result in result.
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Sample inTree at the nearest neighbor to inCoord.

## Member Function Documentation

## ◆ consistent()

static bool consistent | ( |  | ) |
| inline static

## ◆ mipmap()

static bool mipmap | ( |  | ) |
| inline static

## ◆ name()

static const char * name | ( |  | ) |
| inline static

## ◆ order()

static size_t order | ( |  | ) |
| inline static

## ◆ radius()

static int radius | ( |  | ) |
| inline static

## ◆ sample() [1/2]

template<class TreeT >

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |
| inline static

Sample inTree at the nearest neighbor to inCoord.

Returns
  the reconstructed value

## ◆ sample() [2/2]

template<class TreeT >

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |
| inline static

Sample inTree at the nearest neighbor to inCoord and store the result in result.

Returns
  `true` if the sampled value is active.

## ◆ staggered()

static bool staggered | ( |  | ) |
| inline static